BackendHTTP APIFunctions

Get a function deployment

Requires an API key with the environment:deploy scope. Learn more about API key scopes.

Returns the status and result of an asynchronous function deployment.

GET
/functions/deployments/{id}

Returns the status and result of an asynchronous function deployment.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

id*string
Formatuuid

Response Body

Successfully retrieved the deployment.

application/json
  1. response
id*string
Formatuuid
status*string

The status of the function deployment.

Value in"waiting""running""success""failed"
integration_id*string

The integration ID (unique_key) that you created in Tenklo.

function_name*string

The sync or action function name.

function_type*RunnableFunctionType
Value in"action""sync"
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
started_at?string
Formatdate-time
completed_at?string
Formatdate-time
duration_ms?integer
Range0 <= value
deployed?boolean

Whether the deployment updated any functions.

deployed_functions?array<>

Functions updated by the deployment.

output?string

Deployment command output.

error?
Example Request
curl -X GET 'https://api.tenklo.dev/functions/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "waiting",  "integration_id": "string",  "function_name": "string",  "function_type": "action",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "duration_ms": 0,  "deployed": true,  "deployed_functions": [    {      "name": "string",      "version": "string"    }  ],  "output": "string",  "error": {    "code": "string",    "message": "string",    "payload": null  }}